
             GENERAL DESCRIPTION OF PRO-NET COMMANDS AND FEATURES

  ***********************************************************************
  *                                                                     *
  *   Refer to "read.me" on the AutoDemo disk for other information     *
  *                                                                     *
  ***********************************************************************

TERMS AND CONVENTION:

          -   click

              Click the left mouse button to select a mode (function) or add
              a piece of graphic information to the drawing.

              Click the right mouse button to delete a piece of graphic (such
              as a symbol of an NAND gate) information on the screen
              pointed to by the cursor.


         -    IFK's

              The Intelligent Function Keys. They are the ten Function Keys
              located at the top of the keyboard.  In PRO-NET, these
              Function Keys are intelligent because the same Function Key
              performs different tasks in different modes.  The tasks to be
              performed by these Function Keys at any moment are
              automatically shown at the bottom of the screen.


         -    IFK-Name

              An IFK called "Name".

         -    IFK levels

              The IFK's guide the user through an operation by providing
              the next available set of IFK's for the user to select. These sets
              form the IFK levels. An IFK at a certain level is expressed as :

                   IFK-NameA/IFK-NameB/...../IFK-NameX.

              For example, the IFK-Line appeared if you first select IFK-Edit,
              then IFK-New, IFK-OK.  Therefore, the selection of IFK-Line
              can be expressed as:

                   IFK-Edit/ IFK-New/ IFK-OK/ IFK-Line

              or, in its short form:

                   IFK-Edit/New/OK/Line

              This expression can further be expressed as:

                   IFK-Edit/./Line

              if and only if the same set of IFK's (that contains the next IFK,
              in this example, the IFK-Line) appear no matter what
              intermediate steps (other than <ESC> which means abort)
              have taken place.

         -    Select

              Either press the IFK or click at Icon of the IFK.

         -    Add button

              The left button of the mouse.


         -    Delete button

              The right button of the mouse.

         -    Entry Bar

              The color bar above the IFK icons at the bottom of the screen.
              It is used for the user to enter additional information and for
              the program to display the status of the operation.

         -    Bold face

              All commands are shown in Bold.

              These commands are entered by one of the following
              methods:

              1. Selecting the appropriate IFK.

              2. Using the hot key.

              Some Commands require additional information from the
              user, this information is entered at the Entry Bar.


         -    Leading Capital

              Names that have special meanings in PRO-NET have their first
              character capitalized.


         -    Directory Structure

              If PRO-NET is installed using the "install_pn_dh" (see Section
              "Quick Start"), the following directory system is automatically
              setup for you under a subdirectory "/PRO-NET". For Floppy
              systems, the following directory is disbursted among
              diskettes, therefore, you MUST follow the procedure in
              Section "Defining Library Parts" when you have to modify the
              Library.


              The file Directory Structure for PRO-NET is as follows :


              PNPOST  (dir)
              PNLIB   (dir)
                 TTL       (dir)
                 MOS       (dir)
                 VLSI      (dir)
                 ECL       (dir)
                 ANALOG    (dir)
                 DISCRETE  (dir)
                 MTTL      (dir)
                 USER      (dir)
                 SYMBOL    (dir)
                 SCHEM     (dir)
              PNDIR   (dir)
                 TTL
                 MOS
                 VLSI
                 ECL
                 ANALOG
                 DISCRETE
                 MTTL
                 USER
                 SYMBOL
                 SCHEM

         -    Files

              The files that are associated with a schematic called "name"
              are as follows :

              name.1          Page 1 of the schematic "name"

              name.2          Page 2 of the schematic "name"
                .                        .
                .                        .
                .                        .
                .                        .
                .                        .

              name.SupNet     ASCII file, optional Net list provided by user
                              for schematic "name".

              name.net        ASCII file, net list of the schematic
                              "name".

              name.bom        ASCII file, Bill of Materials (Part List) of the
                              schematic "name".

              name.err        ASCII file, error report of schematic "name".

              name.map        ASCII file, component map of schematic
                              "name".

              Other system files (you don't normally care about these files,
              as long as you are not trying to alter them):

              PNDIR           A file that contains the PRO-NET directory
                              system. It contains the directory files of PRO-NET,
                              when a schematic is deleted or added, or when a
                              Device is added or deleted, this file will be automatic
                              updated.

              PNLIB           all PRO-NET files are kept here.

              name.M          System internal file containing information
                              linking different pages together. This file is part of the
                              schematic "name".



         -    Hot Keys

              Key strokes used to enter command(s) at any screen in any mode.

              In PRO-NET, when you hit the "Help" key, the Hot Key definition will
              show up as follow:

              <Help>
                        get this help information

              <CTL-G>
                        show Grid ON/OFF

              <CTL-S>
                        grid Snapping ON/OFF

              <CTL-U>
                        grid size goes Up (bigger) by one size

              <CTL-D>
                        grid size goes Down (smaller) by one size

              <CTL-B>
                        Move the PRO-NET screen to the Back of other screens
                        of the system.

              <DEL>
                        scroll wall ON/OFF

              <ENTER>
                        redraw screen

              <ESC>
                        back up one IFK level. In some cases, abort currrent
                        operation.

              <ARROW KEY>
                        unconditional scroll

OVERVIEW:

    PRO-NET stands for 'PROfessional NET list generator'. Thanks to the powerful
    graphic capabilities of the AMIGA computer and to the brilliant Intelligent
    Function Keys (IFK) of PRO-NET, users now can create professional
    schematics with speed and ease.

    Besides creating beautiful schematics, Flow Charts, Organization Charts, etc.,
    PRO-NET emphasizes the importance of net list generation which provides
    sufficient information for the PRO-BOARD (*) to perform Auto Component
    Placement at an expert level (**), and to perform such tasks as Rat Nesting,
    Guided Routing, Automatic Coordinate marking , Automatic Surface trace
    handling and Net List comparison.

    PRO-NET and PRO-BOARD are tailored to work with and for each other, they
    therefore could accomplish many tasks that other stand alone schematic
    capture programs or pcb layout programs could not do. Most of these tasks
    are tedious and repetitive, and should be done on the computer rather than
    manually by hand. Some examples of these tasks are:

    --   Automatic assignment of label and section numbers for components such
         as U17, pin 1,2,3 of an 74F00. The assignment also avoids conflicts in
         component placement which will be performed later by PRO-BOARD.

    --    Automatically creates page references on a schematic for every signal
          name on every page of that schematic. For a schematic of many
          pages, this is previously a tedious job that could hardly be right if it is
          done by user manually.

    --    Rat's nest helps the component placement process which is of vital
          importance to a good PCB layout.

    --    Automatically assign and mark XY coordinates on the PCB.

    --    Automatically rename IC by coordinates, such that U17, now becomes
          3D, on the PCB.

    --    Automatically rename IC by coordinates on schematic to match that of
          the PCB.

    --    Creates BOM, Spare List, Component Map, Loading Analysis, Error
          List.

    --    Automatically compare Net List produced by PRO-NET with results
          from PRO-BOARD and report discrepancies.

    --    PRO-NET and PROBOARD provide all these powerful features, on top
          of the extremely friendly user interface. We are confident that the
          users will find that they are truly "PROLIFIC" systems.

         The relationship of PRO-NET and PRO-BOARD in the design cycle of
         a schematic diagram and its corresponding PCB is depicted in the
         brochure attached.

    *    PROBOARD, the PROfessional pc-BOARD design package, another
         professional program designed by PROLIFIC INC.

    **   Option not available in the release 1.2

COMMAND DESCRIPTION:

         Hot Keys :

         Key strokes used to enter command(s) regardless of what screen you
         are at and what mode you are in.

         In PRO-NET, when you hit the "Help" key, the Hot Key definition will
         show up as follow:

         <HELP>

                   get this help information

         <CTL-G>

                   show Grid ON/OFF

         <CTL-S>

                   Snap on grid ON/OFF

         <CTL-U>

                   grid size goes Up (bigger) by one size

         <CTL-D>

                   grid size goes Down (smaller) by one size

         <CTL-B>

                   put the PRO-NET screen behind all other system
                   screens.

         <DEL>

                   scroll wall ON/OFF

         <ENTER>

                   redraw screen

         <ESC>

                   back up one IFK level, or, in some cases, abort current
                   operation.

         <ARROW KEY>

                   arrow keys on the keyboard performs unconditional
                   scrolling.

         IFK COMMANDS AND OTHERS :

         \- - - -   :

              Add Bus Entries to the left end of a Line. Orientation of the
              Entry being from lower right to upper left.

          - - - -/  :

              Add Bus Entries to the right end of a Line. Orientation of the
              Entry being from lower left to upper right.

         /- - - -   :

              Add Bus Entries to the left end of a Line. Orientation of the
              Entry being from lower left to upper right.

          - - - -\  :

              Add Bus Entries to the right end of a Line. Orientation of the
              Entry being from upper left to lower right.

         (Arrow-Down) :

              This IFK moves the Selection Bar (Box) Down the list.

              In Note/Text mode, this IFK specifies that text is written from
              top to bottom.

         (Ar-Right) :

              In Note/Text mode, this IFK specifies that text is written from
              left to right.

         (Arrow-Up) :

              This IFK moves the Selection Bar (Box) Up the list.

         Pg(Arrow-Down) :

              This IFK moves the Selection Bar (Box) one Page Down the
              list.

         Pg(Arrow-Up) :

              This IFK moves the Selection Bar (Box) one Page Up the list.

         (Big-Dot) :

              In Edit/Dot mode, this IFK select the Biggest Dots to be added
              to the intersections of Lines.

         (Mid-Dot) :

              In Edit/Dot mode, this IFK select the Medium size Dots to be
              added to the intersections of Lines.

         (Sml-Dot) :

              In Edit/Dot mode, this IFK select the Smallest Dots to be
              added to the intersections of Lines.

         Above  :

              Conn, Above, and Below are mutually exclusive functions.
              When a Signal Label is added, it can be added above the line,
              below the line, or at the end of the line with a box around it as
              a connector pin designation.

         Add    :

              The left button of the mouse means select or Add.

         Adjust :

              To move a middle section of line without breaking it.

              Example: Move the middle section of the following line from
              location a to location b:


                               _______________________________
                              |
                              |
                              |
               ______________ |

                              |          |
                              |          |
                              a          b

                                          ____________________
                                         |
                                         |
                                         |
               _________________________ |
              Steps:

              1.    Under the Line mode, press the IFK-Adjust.

              2.    Click the select button of the mouse on the vertical
                    line.

              3.    Move the cursor to the left or to the right, the vertical
                    line will follow the cursor while maintaining the
                    continuity of the line.

              4.    Position the  vertical line of the cursor at point b.

              5.    Click the Select button of the mouse to put the vertical
                    line at point b.

              6.    Hit ESC key to get out of the Adjust mode.

              Note that there are limitations in IFK-Adjust: A line can not be
              adjusted if one end of the line has a Dot or if one end of the
              line vertically intersects a Device Pin (this is normally avoided
              in schematic capture to begin with).

      AllClr :

              Clear all the IC pin definitions.

      Arc    :

              In Edit/Note/Arc or DefLib/Defsym/Arc mode, add or delete
              Arcs.

              Arcs are drawn counter clockwise. You specify the two end
              points on the arc, and then select the radius of the arc on the
              bisector given by PRO-NET. If you drag the mouse when the
              bisector appears, you can see the radius shown at the bottom
              of the screen.

              Arcs can be drawn with narrow (IFK-Narrow) or wide (IFK-
              Wide) lines.

              Arcs can be repeated (IFK-Repeat) at one to four grids below
              the current Arc. The number of grids is selected by IFK-Leap-
              N where N=1,2,3,4.


      Attr   :

              To define the Attributes of the device. Refer to Section
              "DEFINING LIBRARY PARTS".

      Below  :

              The Signal Label will be placed below the line. Refer to IFK-
              Above and IFK-Signal.

       Bold   :

              Select Bold face Text. Also see Bold.

      BOM    :

              Ask Post Processing to generate the BOM (Bill Of Material). If
              this IFK is active, BOM will be generated in Post Processing.




      Bound  :

              To define the Boundary of the Symbol, this is normally the last
              step of the defining a Symbol. If a Device later uses the
              Symbol, the Boundary of the Symbol will become the
              Boundary of the Device. Note that when Devices are called
              out to a schematic, their Boundaries can not overlap each
              other.

      Box    :

              In Edit/Note/Box or DefLib/Defsym/Box mode, add or delete
              rectangular Boxes.

              Boxes are drawn by specifying any two diagonal vertices. You
              can drag the mouse and see the box change size
              dynamically.

              Boxes can be filled (IFK-Fill), or drawn with narrow (IFK-
              Narrow), wide (IFK-Wide) or dashed lines (IFK- '- -').

              Boxes can be repeated (IFK-Repeat) at one to four grids below
              the current box. The number of grids is selected by IFK-Leap-
              N where N=1,2,3,4.


      Bundle :

              Bus-Entries + Bus (thick Line) = Bundle

              <A>  Bus-Entries : select the Bus Entry orientation using the
                   first four IFK's.

              <B>  Click at the end of a Line to place the Entry.

              <C>  Use IFK-Repeat if desired to draw another Entry at the
                   next lower end of Line.

              <D>  Select IFK-Bus, draw thick Lines as needed. Use Next to
                   start another Bus. IFK-Repeat has no effect here.

      Bus    :

              To add thick lines as part of a Bundle. A Bundle represents
              many Signal lines 'bundled' together.

              You can add Signal label such as ADDR<0:31> to a Bus. You
              can also specify whether the Page Reference be generated
              automatically for the Signal label. This is done by IFK-+PgRef;
              if +PgRef is on when the Signal label is created, then Page
              Reference will be created automatically for this Signal later in
              the Post processing.

              Please also refer to IFK-Bundle.

      CalSym :

              In DefSym, you can use this IFK-CalSym to call out existing
              Symbols and use them to form a new Symbol (Complex
              Symbol). You can not call out Complex Symbols to form
              Complex Symbols. Complex Symbols always have extension
              ".C" in the Symbol Directory. You can also call out an existing
              Symbol, modify it to a new Symbol.

              In DefDev, you use this IFK-CalSym to call out a Symbol, this
              becomes the symbol of the Device being defined. You can
              call out Complex Symbol also. Only one Symbol can be called
              out for a Device.


      ChgLib :

              Change Library; to open or close Sub-Libraries or to change
              the paper size or template size. You can only change to have
              a larger paper and/or to have a smaller template than what you
              have been using for the schematic.

      Circle :

              In the Edit/Note/Circle mode or in the  DefLib/DefSym/Circle,
              add or delete circles.

              Circle is drawn by clicking at the center then at the
              circumference of the circle.

              Circles can be filled (IFK-Fill), or drawn with narrow (IFK-
              Narrow) or wide (IFK-Wide) lines.

              Circles can be repeated (IFK-Repeat) at one to four grids
              below the current circle. The number of grids is selected by
              IFK-Leap-N where N=1,2,3,4.

      Clear  :

              To clear the entry line input area.

      Conn   :

              To create scattered Connector symbols. This may or may not
              affect the Net List, see "Advance Technique" section for the
              detail discussion about drawing connectors.

              To add a Connector symbol in the schematic, select Conn,
              type in the Connector pin identifier such as J4-11, then click at
              the end of line to add connector symbol at that line.

              Also refer to IFK-Above, IFK-Signal.

              Connector pin number can be stepped through like other
              Signal Label. Refer to IFK-Step @.

      Config :

              Configure the system, e.g. printer type, plotter type.

      Copy   :

              Under IFK-File (File Management) mode, Copy a schematic to
              another name in the same disk or different disk. You can also
              copy a schematic to the same name in a different disk using
              this IFK.

              Note that when you copy one page of a schematic to another
              file, all pages of the schematic are copied at the same time.
              You can enter the Edit mode to delete pages that you don't
              want one page at a time. This is necessary for the following
              reason:

              You can ask (IFK-Zone-1,2,3) PRO-NET to assign Device
              Numbers and Device Sections automatically when Devices
              are called out from the Library (to the schematic). These
              Device Numbers and Device Sections are being kept track of
              across all pages of the schematic. Had you been able to copy
              one page of the schematic, the book keeping of the Device
              Number and Device Section would have been corrupted.

              In Edit/Copy mode, this IFK-Copy is used to Copy devices
              from one place of the schematic to another. You can use the
              IFK-Zone-1,2,3 or Zone-X to control the Device numbers (refer
              to IFK-Zone-1).

      DefDev :

              Define Device; refer to DefLib and the Section "Defining
              Library Parts".

      DefSym :

              Define Symbol; refer to DefLib and the Section  "Defining
              Library Parts".

      DefLib :

              Define Library; DefLib is used to define a Symbol, Complex
              Symbol, Title Block, or Device in a sub-library. To use a Device
              in a schematic, the sub-library whom the Device belongs to
              must be opened first. Libraries are opened according to the
              Design Rule established when a new schematic page is
              drawn. Libraries can be opened or closed at the Device
              /ChgLib (Change Library) also.

              To define a Device with a new Symbol (graphic shape), you
              must define the Symbol first. A Symbol can be shared (used)
              by many different Devices.

              For details of DefLib, refer to the Section "DEFINING LIBRARY
              PARTS".

      Delete :

              In Edit mode, erase the file selected.

              In DefLib/DefDev , erase the Device selected.

              In DefLib/DefSym , erase the Symbol selected.

      Device :

              A.    To get a Device from the opened libraries into the
                    schematic. Libraries are opened in the Edit/New
                    (Rule) screen, or the Device/ChgLib screen.

                    The steps of getting a Device into the schematic are:

                    1.    Select IFK-Device.

                    2.    Optionally select the Zone-1, 2, or 3 which
                          determines what Label to use;

                        Zone-1 selects unused 'U' numbers (or
                        Resistor Modules numbers or any other
                        Devices that were defined as multiple section
                        elements in the libraries) from U1 to U399 (or
                        RM1 to RM399 etc.).

                        Zone-2 selects unused 'U' numbers from U400
                        to U699 (or RM400 to RM699 etc.).

                        Zone-3 selects unused 'U' numbers from U700
                        to U999 (or RM700 to RM999 etc.).

                        The default is Zone-1.

                    3.    Type in the Device Name such as '74LS74'
                          and <CR>.

                    4.    Drag the Device to the desired location and
                          click the mouse left button to settle the
                          Device.

              B.    To Modify an existing Device or to define a new
                    Device in the Library, refer to the Section "Library
                    Parts".

      DevNam :

              IFK-DevNam (Device Name) is used to define the Text and
              location of the Device Name Label such as 74LS244.

              This Device Name could be different from the Device file
              name you assign when you Save the Device. This is very
              useful since you sometimes need to define a Device in
              several different ways. For example, 74LS244 can be defined
              as two independent four bit tri-state buffer or it can be defined
              as one eight bit buffer. You may use one definition in one
              application and the other in another application.

              With Field Programmable Logic such as PAL's so popular
              these days. This flexibility is extremely useful.

      DevNum :

              IFK-DevNum (Device Number) is used to define the location of
              the Device Number Label such as 'U', 'R' or 'C', etc.

              This Device Number Label will be concatenate with a numeric
              assigned by PRO-NET automatically or assigned by user
              manually (refer to IFK-Zone-1, 2, 3 and X) when schematic is
              being entered. For example, 'U' becomes 'U14'.

      Df0:   :

              Select floppy disk drive 0 to Load from or to Save to.

      Df1:   :

              Select floppy disk drive 1 to Load from or to Save to.

      Dh0:   :

              Select hard disk drive 0 to Load from or to Save to. Normally,
              when you install PRO-NET to the hard disk, a directory
              system is created under the root, and under Sub-directory
              PRO-NET.

      Dir    :

              To get the Directory of the Schematic files. Please refer to
              IFK-Copy.

      Dot    :

              Used to add or delete a dot in the drawing.  If the dot is placed
              on the intersection of two lines, the two lines are joined
              together, otherwise, the dot has no effect in the Net List.

              A dot can also be used to cancel out a small square box that
              appears at the end of a line. For example, if you draw a line on
              the screen with both ends open, you should see a small
              square box at each end of the line. If you move a device to the
              line such that one end of the line coincides with one pin (tip)
              of the device, they may seem to be connected, but in fact they
              are not. To connect them, you must add a dot to that small
              square box. This will cancel out the small square box.

      Down   :

              When IFK-Signal is active, IFK-Down forces the number
              embedded in the Signal label to decrement by one (1) every
              time IFK-Step@ is pressed.

              In Zoom, Zoom Down by 1/2 X (devices are half the current
              size on screen). The last Zoom Down may not be as small as
              1/2 X of the former size.

      Drag   :

              The word 'Drag' is used throughout this manual, it means
              pressing down the mouse left button while sliding the mouse
              to put the cursor at the desired location.

      Edit   :

              Edit old or new schematic. When selected, a directory of
              schematics is shown. If you want to create a new schematic,
              just select the IFK-NEW.

      ErrChk :

              To ask the Post Processing to perform Error Checking, which
              includes Loading Analysis, Output contention checking, Net
              without output error checking, also generate the total
              worse case current consumption of the whole schematic
              (all pages).

      File   :

              File management. Note that since PRONET maintain its own
              directories and files. To Copy a schematic Page to another
              name, or to Rename, etc., you must use this IFK-File. To
              Delete a file, you have to use IFK-Delete under Edit mode.

              Copying Library Devices from one disk to the other is done
              differently. See Section "Library Parts" for more information.

      Fill   :

              Fill the enclosed area of a Box, Circle, Closed polygon-by
              stripes, etc.

      Flip   :

              Reverse sections the Line you have just drawn, such that the
              horizontal section becomes the vertical section and the
              vertical section becomes the horizontal section.

      Hidden :

              An attribute of the piece of information being added. If this IFK
              is on, the piece of information being added will have an
              attribute of "hidden". All information with hidden attributes will
              not be printed or plotted.

              As an example, you can go to the DefDev (Define Device)
              mode, call out the Device 'GND'. You will find that this Symbol
              uses Hidden Pin Number, Hidden Device Number label, and
              Hidden Device Name label. You can find some more
              examples in Section "Surface Power and Surface Ground
              traces" under "Advanced Technique".

      H-Ref  :

              When this mode is selected, clicking the Add (left) button or
              the Delete (right) button of the mouse will Add or Delete a
              Horizontal line on screen. This line is of type Note (see Note
              mode); which has no effect to the connections between
              Devices (i.e. no effect on the Net-List). It is used for alignment
              purpose such as lining up the Signal Name, the position of
              Devices, etc.

              Reference lines are not printed or plotted.

      Icc    :

              You select this IFK when you need to enter the maximum total
              current consumption of the Device. This parameter is used
              only for the calculation of the maximum total current
              consumption of a voltage (the heaviest loaded one) of the
              design as shown in the schematic. This is to help the circuit
              designer to calculate the Power Supply requirements. Please
              also refer to IFK-Attr and Section "Defining Library Parts".

      Label  :

              Label is an option under Modify mode. You can Modify the
              Device Number Label, the Device Type Label and the Device
              Pin Label with the following limitation.

              Device Number Label: you can change it to any other
              Device Number as long as that Number is not already used.

              You can change it to a Device Number which is already used
              by the same type of IC, in this case, you will be asked if you
              want to swap the two Device Numbers. However, it can not
              swap Device numbers of devices on different pages. If you
              really want to do that, you have to use some tricks:

              Step a.    Change the Device Number A to an arbitrary
                         new Device Number X.

              Step b.    Go to the other page, change Device number
                         B to A.

              Step c.    Go back to the original page, change Device
                         Number X to B.

              Device Pin Label: When swapping IC sections, you can
              Modify the Pin Label. You only need to modify any one pin in
              one section and the rest will be automatically modified for you.

              If there is only one IC section for an IC, then Modify pin is not
              allowed.

              Device Type Label: You can Modify a Device Type Label if
              and only if the new Device Type has the same Symbol
              (graphic) as the old one.

              For example, you can Modify a 74LS138 to a 74F138 but not
              74LS139. If you really want to do that, you simply delete the
              old device and add the new one.

              Labels also appear under DefDev, they are used to define the
              location of the Device Name and the Device Number label.

      Large  :

              Select Large Size Text. You can add Text to the Symbol being
              defined under the DefSym mode. You can add Text to the
              schematic under the Edit/Note/Text mode.


      Leap-N  :

              Each time you press IFK-Leap-N, N is incremented by 1, until
              N=4, next press of IFK-Leap-N changes N back to 1.

              N represents the number of grids (grid size currently
              selected) to be Leaped over when patterns are to be
              repeated. In other words,

              'N multiply (current grid size)' is the distance between
              consecutive repeated patterns.

      Line   :

              To get into the Line screen, where Lines are  Added, Deleted,
              Adjusted in various ways.

              You can use the Add (left) mouse button to start a Line, to
              settle and to continue the same Line.

              You can Delete a Line by clicking the delete (right) mouse
              button.

              You can start a new Line by pressing the Next Key.

              After you draw a Line at an IC pin, you can duplicate the Line
              at the next lower IC pin (same IC) by using Repeat.

              You can Flip the orientation of a Line immediately after you
              draw it. i.e. change the vertical Line into a horizontal Line and
              change the horizontal Line into a vertical Line.

              You can rubber move a section of a Line easily by using
              Adjust (refer to IFK-Adjust).

              You can setup a vertical or horizontal Line for the alignment of
              various elements (Device, Text, Signal Name etc.) by using V-
              REF or H-REF.

              A small square at the end of the Line indicates that the Line is
              not connected to any other place -- even if it seems to be
              connected.

      -Logic :

              In Edit/Modify, it is used to Modify a positive logic gate to its
              DeMorgan equivalence.

              In DefLib/DefDev, this is to specify the DeMorgan equivalence
              of a logic gate.

      +Logic :

              In Edit/Modify, it is used to Modify a negative logic gate to its
              DeMorgan equivalence.

      Map    :

              To ask the Post Processing to generate a Component Map for
              the schematic. For each Component, the Component Map
              shows you all the pages in which the Component appears.

      Modify :

              In the DefDev/Attr/PinAtt mode, Modify is used to enter or
              modify the attributions of the pins of a device. refer to section
              "Defining Library Parts" for more information.

              In the Schematic Edit mode, Modify is used to change Label
              or Logic sense (+Logic symbol or Logic sense (+Logic symbol
              or the -Logic symbol).

      Move   :

              In this mode, click the Add button of the mouse on Devices to
              select them, then press IFK-OK, drag the mouse to move
              devices to new position and press Add button of the mouse to
              settle the Device.

              You can perform a rubber-band Move (Rubber Move) by
              selecting IFK-Rubber. Rubber Move allows you to move a
              Device without breaking its connections. You can only Rubber
              move one Device at a time. After the Rubber Move, you can
              enter the IFK-Line/Adjust mode to Adjust the Lines (refer to
              IFK-Adjust).

      Narrow :

              Select Narrow Lines or Stripes. Lines and Stripes has different
              properties. Refer to IFK-Stripes for more information.

      Net    :

              Ask the Post Processing to generate a Net List for the
              schematic. Refer to IFK-Post for more information.

      New    :

              In Edit mode, start a new schematic or a new schematic page.
              After a file name is given to the new page, a screen will be
              displayed for you to specify the Design Rule for the page. The
              Design Rule specifies the following :

              (a) The Paper Size to be used for the schematic. It is selected
              by entering the corresponding number (as shown on screen)
              when the selection Box (Bar) is at 'Paper Size' location.

              Standard paper size:
              A : 8.5 X 11 inches
              B : 11 X 17 inches
              C : 17 X 22 inches
              D : 22 X 34 inches
              E : 34 X 44 inches

              (b) The Template Size to be used for the schematic. Standard
              template sizes are those specified by the MIL-STD-860
              standard or ANSI Y32.14 standard :

              A.  FULL size
              B.  1/2 size
              C.  3/8 size
              E.  1/4 size

              (c) The Sub-libraries opened for this schematic. Press 'Y' to
              opening the Sub-libraries pointed to by the selection Box (or
              Bar).

              In DefLib/DefDev mode, this IFK-New is used to define a new
              Device.

              In DefLib/DefSym mode, this IFK-New is used define a new
              Symbol.

      Next

              To start another Line or Stripe or Bus.

              Or, in the DefDev/Attr/PinAtt mode, this IFK-Next is used to
              call out (with IFK-Recall active) the attributes of the next pin
              (current pin number +1).

      Norm   :

              In Edit/Zoom mode, IFK-Norm always brings you back to the
              Normal operation screen. You can not Edit (change) anything
              after the schematic is Zoomed to a smaller size.

      Note   :

              Note can be anything you draw or write. They will not affect
              the Net list of the schematic. But they will be printed or
              plotted.

              In Note mode, you can write text from left to right or from top
              to bottom in different fonts : small or large, normal or Bold.
              You can draw various types of Stripes, Boxes, Circles, Arcs in
              narrow or thick line, etc.

      NxtSct :

              To define the pin number of next section of the IC.

      OK     :

              Tell the system to proceed since You have completed
              checking, or have entered the information PRONET needs.

      PgRef  :

              To ask the Post Processing to generate the Page References
              for every Signal name of the schematic and insert them to the
              schematic automatically.

      -PgRef :

              After Page References are added to the schematic
              automatically by the Post Processing. You could delete a
              Page Reference (such as: [2,3,23,25]) using this IFK-PgRef.

              When this IFK is active, click the delete (right) button at the
              Page Reference to delete it.

      +PgRef :

              When Signals are being added to Lines or Bus, you use this
              IFK-+PgRef to indicate whether these signals should have
              page references. IFK-+PgRef active means you want page
              references, inactive means you don't. Page references are
              generated in Post processing. Please also refer to Bundle,
              Bus.

      Pick   :

              Select the item high lighted or boxed on screen.

      Pin    :

              Used to define the pin number and pin location of the Device,

              A pin has to be located in one of the four quadrants around
              the tip of a stripe (of the Symbol).

              If the Device has more than one section (e.g. 7400 has four
              sections), you can go to another section by pressing IFK-
              NxtSct (Next Section).

              Please refer to "Defining Library Parts" for more information.

              A pin can be defined as Hidden (not shown in schematic). A
              typical example of using a Hidden Pin is the Pseudo Device
              defined to represent the Ground Symbol. Normally you do not
              want to see a pin number assigned to a Ground Symbol.
              Please refer to "Surface-Power-Trace and Surface-Ground" in
              Section "Advanced Technique" for more information.

      PinAtt :

              For every Pin of a Device, there is a set of data associated with
              it. These data describe the following:

              The type of I/O. The Fan In and Fan Out capabilities. If it is a
              power pin, the voltage it is at. If it is a Pseudo Pin, the special
              characteristic.

              Refer to "Defining Library Parts" for more information.

      Plot   :

              Enter schematic Plotting mode. Refer to Section "Printing and
              Plotting".

      Post   :

              Enter Post-Processing operation. When IFK-Post is selected, a
              list of options is given to you; you can select Net, BOM, Map,
              PgRef, ErrChk, and the disk drive where the results should go.
              The list of schematic files are also given to you on the screen,
              if you choose a page of a schematic, the whole schematic (all
              pages) will be included in the Post Processing. All schematic
              files having the same filename (with different numeric
              extensions, e.g. xxx.1, xxx.2, etc.) are considered part of the
              schematic.

              Please refer to Section 3.8 : "How to generate the Net List,
              BOM etc".

      Print  :

              Enter schematic Print out operation. Refer to Section
              "Printing and Plotting".

      Recall :

              In DefDev/Attr/PinAtt (Define Device/Attribute/Pin Attribute)
              mode, IFK-Recall is used to call out the Pin Attributes
              previously defined. The display shows blank entries for
              whichever Pin Attributes not defined previously. You can use
              the IFK-Next to scan through all pins of the Device being
              defined.

      Rename :

              In the File mode, this IFK-Rename is used to change the
              name of a schematic file. Note that when you change the
              name of any one page of the schematic, all pages of the same
              schematic will have their named changed also.

              Please refer to IFK-Copy.

      Repeat :

              In Line Mode, after you draw one line segment at a pin, if you
              press Repeat, the same line segment will appear on another
              pin (of the same IC), if any, below the current pin.

      Rotate :

              To Rotate the Device. When you call out a Device and before it
              is settled, the Device is rotated by 90 degree every time you
              press this IFK-Rotate.

      Rubber :

              You can perform a rubber-band Move (Rubber Move) by
              selecting IFK-Rubber. Rubber Move allows you to move a
              Device without breaking its connections. You can only Rubber
              move one Device at a time. After the Rubber Move, you can
              enter the IFK-Line/Adjust mode to Adjust the Lines (refer to
              IFK-Adjust).

      SavDev :

              After you finish defining a Device, this IFK-SavDev (Save
              Device) allows you to Save the Device under a filename given
              by you.

              Same Device using different Symbols can be Saved under
              different filename.

      Save   :

              Edit/More/Save saves the schematic. In Edit mode, You can
              also Save the schematic simply by pressing <ESC> several
              times until the Entry at the bottom of the screen says 'Quit,
              Save, or Continue', press 'S' to Save the schematic and then
              quit the Edit.

      SavPin :

              After all Attributes of a Device Pin are defined, you can use
              this IFK-SavPin to save the attributes to a Pin, at this time, you
              can also key in another pin number having the same pin
              attributes and save it.

              Please Refer to Section "Defining Library Parts".

      SavSym :

              Symbols are defined under DefLib/DefSym, after you finish
              defining the Symbol, pressing this IFK allows you to save the
              Symbol.

              There is another way to Save the Symbol, you can keep
              pressing <ESC> until you see a question on the entry line
              asking whether you would like to Save, Quit or Continue. If the
              answer is a 's', the Symbol will be saved.

      SetRef :

              In DefLib/DefSym mode, this IFK-SetRef allows you to set one
              reference point on the screen, the relative positions of other
              points with respect to this point is shown as X, Y coordinates
              (relative) in units of Pixels. 3 Pixels is equal to 1 mm, and
              Symbols are drawn to the size of 3/8 Template (ANSI Y32.14,
              MIL-STD-860).

      Signal :

              Add or delete Signal Name of a line. Enter Signal Name and
              click (Add button) at line to add or click (Delete button) at
              Signal Name to delete. You can put the signal name above
              the line (IFK-Above), below the line (IFK-Below), or at the end
              of the line with a box around it (IFK-Conn, normally used for
              connectors).

      Small  :

              Select small size Text.

      Step @ :

              Step down (IFK-Down) or up (IFK-Up) the number embedded
              in the Signal name and place it at the next lower line.

      Stripe :

              In Edit/Note/Stripe mode, add or delete Stripes as Notes.

              In DefLib/DefSym mode, add or delete Stripes as part of the
              Symbol, the Stripes of a Symbol can not be modified during
              schematic capture (Edit) mode. Stripes has no effect to the
              Net List. Unlike Lines, Stripes can go in any directions, and
              when two orthogonal stripes is jointed together, Dot is not
              added in automatically.

      SubDir :

              Look into the Sub-Directory of a Library.

              To view the library. The list of all libraries are shown on the
              screen. You can select one of the libraries and browse its
              content.

      SymDir :

              When you try to call a Symbol (IFK-CalSym) and forgot the
              name of the Symbol, you can use this IFK-SymDir to browse
              the Directory of the Symbol Library.

      System :

              This IFK-System is used to select some system options such
              as :

              The disk drive in which you put the Library Disk, the disk
              drive in you put the Data (User or Schematic) Disk. You also
              have control over the Grid display, Grid Snap, and Grid Size.

      Text   :

              In Edit/Note/Text mode, enter Text as notes, the Text can be
              added or deleted at will.

              In DefLib/DefSym, enter Text as part of the symbol, the Text
              can not be modified during schematic capture (Edit) mode.

      Title  :

              Used to Call a Title Block from the library. Title Blocks have
              many different forms. For example, a title block may include a
              title area, part number area, revision level area, signature area,
              mechanical tolerance area, and outline of the drawing, etc. Or,
              the title block may include a  part number area only. You can
              define Title Block in DefLib/DefSym as if you were defining a
              Symbol; the difference are: (1) When you draw the bound for
              the Title, you must make the bound exactly the same size as
              your outline of the Title Block. (2) When you save the Title
              Block, you must use a Symbol name "SymName.title". The
              SymName is any name assigned by you and ".title" is
              mandatory. You can find some Title block examples in the
              Symbol Library.

      ToDf0: :

              Tell the Post Processing where to put its result, IFK-ToDf0:
              directs the result to floppy drive 0.

      ToDf1: :

              Tell the Post Processing where to put its result, IFK-ToDf1:
              directs the result to floppy drive 1.

      ToDh0: :

              Tell the Post Processing where to put its result, IFK-ToDh0:
              directs the result to hard drive 0.

      Up     :

              When IFK-Signal is active, IFK-Up forces the number
              embedded in the Signal label to increment by one (1) every
              time IFK-Step@ is pressed.

              Zoom Up by 2X (Devices are 2 times as big as what is
              currently shown. First Zoom-Up may be smaller than 2X
              depending on the paper size.

      Value :

              Allows you to enter the values of Passive Devices when you
              are entering the schematic. You do this by clicking at the
              Device Name Label (the color of the Label will be changed).

      V-Ref  :

              When this mode is selected, clicking the Add (left) button of
              the mouse will add in an Vertical line on screen. This line is of
              type NOTE (see NOTE mode); which has no effect to the
              connections between Devices (i.e. no effect on the NET-LIST).
              It is used for alignment purposes such as lining up the Signal
              Name, or the position of Devices, etc.

              Reference lines are not printed or plotted.

      Weight :

              To assign the priority of the line in routing. Heavier means
              higher priority in routing.

              Lines without weights are defaulted to have 0 priority.

              Priorities range from 0 to 999.

              Weights can be placed above (IFK-Above) or below (IFK-
              Below) the line.

              Weights are all hiddenng Wide Stripes.

      Yes    :
              The answer to your question, my friend, is 'YES'.

      Zone-1, 2, and 3 :

              These IFK's are used optionally to optimize the automatic
              Device Number assignment.

              The concept behind this Zone control feature is based on :

              - Physically far apart Devices should not reside in the same
                package (e.g. IC).

              - logically adjacent Devices in the schematic are likely to be
                physical adjacent on the PCB also.

              If you know the approximate locations of different sections of
              the logics (such as Input, Processing, and Output) on the PCB
              before you draw the schematic, then you can optimize the
              Auto Device Number assignment by selecting one of the
              Zones before calling out a Device from the Library.

              By doing so, you have avoided the situation where a section
              of an IC is used in one area of the PCB, while another section
              of the same IC is used in another area that is far apart from the
              first area.

              You can change your mind later by swapping gates or by
              changing the Zone assigned to a device. These are done in
              Modify/Label.

       ZoneX :

              To assign Device Numbers manually, select ZoneX. This is
              most commonly used when the Device Numbers are known in
              advance. For example, when you are entering an old
              schematic.

        Zoom :

              First time you hit zoom, the pictures shrinks so that you can
              see more. After that, you have the choices of Zoom Down
              (IFK-Down), or Zoom Up (IFK-Up).

              IFK-Norm always brings you back to the normal

LIBRARY PARTS:

         Sub-libraries

         PRONET Library is made up of sub-libraries such as TTL, CMOS etc.

         Sub-libraries must be opened before they can be used.

         Sub-libraries are opened when you create a new schematic page. You
         can also open or close Sub-libraries under the Device screen.

         Please refer to Section "Directory Structure" under "Terms and
         Conventions".


         User Library

         To increase speed, the user may want to copy part of the libraries to
         one library and add to it whatever he/she wants. In this case, the parts
         PRONET needs to search are substantially reduced, and only one
         library need be opened at all times.

         Library structure

         Each part that you call out from the library to the schematic is call a
         Device.  The Device consists of two parts: the Symbol and the Device
         Specific Information (Info, in short). Their relationships is depicted as
         follow:

                   Symbol + Info = Device

         where:

         Symbol contains the graphic description of the Device(s). A Symbol
         could be used by many different Devices as long as they have the
         same graphics. The user can define the Symbol under DefLib/Defsym
         (Define Library/Define Symbol).

         Info contains Device specific information such as pin number
         assignments, pin attributes, current consumption of the Device, etc.
         Besides pin number, normally, the rest of the information cannot be
         shared by different Devices. The user can define the Info under
         DefLib/DefDev (Define Library/Define Device).

DEFINING LIBRARY PARTS:

         When you are in the Library define mode, unlike in schematic capture
         mode, the template size is fixed at 3/8 (MIL STANDARD 860);
         therefore, the grid sizes are also fixed. The grid #1, #2, #3, #4 sizes
         are 1 mm, 2mm, 4mm, 8mm respectively.

         In the DefLib (Define Library) mode, the IFK-DefSym and the IFK-
         DefDev are used for defining the Symbol and the Device, respectively.

         There is also an utility program that comes with PRO-NET, so that you
         can copy Devices from one library to another.

         NOTE THAT YOU CAN NOT COPY DEVICES USING AMIGA DOS FILE
         COPY COMMAND, SINCE PRO-NET MAINTAINS ITS OWN
         DIRECTORY (FOR SPEED PURPOSES). COPY DEVICES BETWEEN
         SUB-LIBRARIES USING AMIGA DOS FILE COPY COMMAND WILL
         CORRUPT THE PRO-NET DIRECTORY SYSTEM.

         How to Define Symbol

         Basically, to define a Symbol is to draw the picture that represents the
         Device.

         There are two ways to define a Symbol:

         (a)   By Modifying an existing Symbol: You can call out an old
               symbol, modify it to form a new Symbol, or You can combine
               some old symbols to form a new Complex Symbol. However,
               you cannot call out an old Complex Symbol and try to modify
               it.

         (b)   By Drawing the Symbol: You can create the Symbol using
               tools provided to you under DefSym. In the DefSym screen,
               you can find a set of IFK's to help you draw the Symbol. These
               IFK's are the Text, Stripe, Box, Circle, Arc, CalSym, Bound,
               Save, SetRef, and System. Refer to the Command Description
               section for the details of each IFK.

         You could use the hot keys (refer to the CONVENTION section) to
         control the grid size and grid snapping, etc.  We recommend that you
         select grid Snap whenever possible, this will make drawing the
         schematic even easier.

         Before you save the Symbol, you have to define the Bound (Boundary)
         of the Symbol.

         You must observe the following rules:

         RULE #1
              Bound MUST pass through the tip of every pin on the Symbol
              or, if that side of the Device Body has no pin(s), must be
              bigger than the Device by one #2 grid (2 mm).

         RULE #2
              The body (outline) of the Device must be of Wide Stripes
              (lines) in order that you have the option of printing/plotting the
              Device using narrow lines or wide lines.

         RULE #3
              When you call out an existing Symbol to be modified to
              another Symbol, you may not call out complex Symbols. All
              complex Symbols have the extension of ".C".

              Also, experience tells us that if you adhere to the following
              guide lines in defining symbols, you can draw the schematic
              easier, faster, and better.  Nevertheless, these remain guide
              lines, no errors will result if you don't follow them :

         GUIDE #1

              Keep in mind that the gates (such as 7400) are defined using
              3/8 template (MIL-STD-860 or ANSI Y32.14 standard) and that
              the smallest grid (grid #1) equals 1 mm, try to draw the
              Symbol as small as possible while as big as needed to show
              all necessary details (such as the "D", "Q" etc. inside the
              symbol of 7474) of the symbol.

              Note that grid #2, #3, #4 are 2 mm, 4 mm, 8 mm respectively
              when the template is 3/8 inch.

         GUIDE #2

              Use grid Snap whenever possible -- even if you have to bump
              down the grid size to a smaller one.

              Normally you should try to stay on #2 grid.

         GUIDE #3

              If you are using a floppy disk system, Library is distributed on
              several floppies, every Library disk has one or more Device
              Sub-libraries AND a Symbol sub-library. Therefore, if you
              change or add a Symbol, not only that you have to save the
              Symbol to the floppy disk (that holds the sub-library) that you
              are working on, but also ALL other sub-library disks. If you
              delete a Symbol (which is unlikely), you need to do the same
              on ALL sub-library disks.

              If you have a hard disk system, you only have one Symbol
              Library in one place, therefore, you only need to update that
              one library when you modify Symbol.

              How to Define Device

              Basically, to define a Device is to specify all the Device
              specific information of that Device. This information includes:

              --    the Symbol to use
              --    the location of each pin
              --    the Device Name.
              --    the default location of the Device Name Label.
              --    the Device Number label.
              --    the default location of the Device Number label.
              --    the Symbol to be used for the DeMorgan equivalence
                    (if any) of the Device.
              --    (you may want to save the Device at this point and do
                    something else for a while, see HINT below).
              --    the characteristics (attributes) of each pin.
              --    the current consumption of this Device.

              HINT :

              For example, if you are defining Device 74LS00, you may want
              to save all the information to 74LS00, then also save to 74S00,
              74F00, 74AS00 --- etc.  Note that this is alright because up to
              this point, all the information you have entered for 74LS00 is
              shared by the corresponding Device in the other families.

              To define a new Device or to edit an existing Device in the
              Library, the steps are:

              1.    from Level 1 screen, Select DefLib (define library)

              2.    select DefDev (Define Device)

              3.    select the Sub-Library in which you want to find the old
                    Device to edit or to store the new Device. Press IFK-OK.

              4.    A list of Device in the selected Sub-Library is displayed,
                    you can scroll up and down to find the Device you want to
                    edit or you can select IFK-New and specify a new Device
                    Name to define a new Device.

              5.    At this point, you start to specify all the Device specific
                    information; type in the Symbol Name if you know which
                    Symbol to use for this Device. Or, you can choose a
                    Symbol from a list under DefDev/Calsym/Index.

              6.    After the symbol is retrieved, select IFK-Pin, enter the pin
                    number you want to associate a line (graphic of the pin)
                    with, then click at one of the four quadrants of the tip of the
                    pin. The pin number will appear in that quadrant near the
                    tip of the pin as follows:

                    q1, q2, q3, q4 represent the four quadrants of the tip of the
                    pin. All you need to do is enter the pin number and click
                    close to the pin in the quadrant you want the pin number to
                    appear in.

                    Repeat the process until all pins are specified.

                    If you don't like what you have just defined, you can clear
                    all pin definitions by selecting IFK-AllClr. Pin number could
                    also be hidden (not shown in schematic) in which case,
                    you have to select IFK-Hidden before specifying pin
                    location.

                    If the Device has several sections, you could go to the next
                    section by using IFK-NxtSct.

              7.    The next thing you want to do is to specify the Labels.
                    Select IFK-Label, then IFK-DevNam, See if the Device name
                    in the entry line is exactly what you want, if so, click the
                    mouse to place the DevNam at the desire location.

                    Or, if the Device name in the entry line is not what you
                    want, just retype the Device Name, then click the left
                    mouse button to place it at the desired location.

                    Again, the Device name could be hidden.

              8.    Now you want to enter the Device Number, it is not really a
                    number, rather, it is the Prefix of the Device Number.

                    Select DefDev/Label/DevNum, enter the Device Number
                    (prefix), click the mouse left button to place it at the desired
                    location.

                    For example, for an IC, we normally call it 'U' something. In
                    that case, enter 'U' and click the left mouse button to place
                    it at the desired place.

                    Again, the Device Number can be hidden.

              9.    If the Device has a negative logic symbol (DeMorgan
                    equivalence), and you have already defined it using Define
                    Symbol, then you can select IFK--Logic, enter the Symbol
                    name, and <CR>.

              10.   Now, you are almost done, the remaining task is to define
                    the Attributes of the Device. This is necessary if you want
                    PRONET to perform Loading Analysis for you or to perform
                    the Power Consumption Calculation for you.

                    Under Attr (Attributes), there are the Icc (Icc) Attribute and
                    the PinAtt (Pin Attribute).

              --    In Icc, enter (or reenter) the Worst Case Current
                    consumption of the whole Device.

              --    In PinAtt, basically you call (Recall) the attributes of a pin on
                    the screen, then modify existing attributes or enter new
                    attributes. You do this one pin at a time until all the pins of
                    the Device are done. You could check them by using IFK-
                    Next to scan through all pins, make sure they are correct,
                    then save the pin attributes using IFK-SavPin. The following
                    IFK's help you accomplish these tasks:

                    IFK-Recall
                        When this IFK is selected, you could enter the
                        pin number and recall the attributes that you
                        have defined previously.

                    IFK-Next
                        Display the attribution of the next pin.
                        IFK-Modify
                        If you do not like the attributes displayed, you
                        can use this IFK to modify them.

                    To define the pin attribute, normally you refer to the Data book of
                    the Device.

                    <A>   Device Pin

                         Select one from the following list in line 1.

                        I     specify that this is an Input pin.

                        O     a totem pole Output pin.

                        B     a Bidirectional pin (including a pin of a
                              passive device with current attributes).

                        C     an open Collector pin. a

                        T     Tri-state pin.

                        P     a pin of a Passive Device with no current
                              attributes.

                        V     a Voltage pin such as Vcc Pin or Gnd (0 V)
                              pin.


                    <B>   Driving Capability of the pin

                         Fill in the WORSE CASE value of the current sunk
                         or sourced by the pin under consideration.

                         Specify Iih, Iil when the pin is an Input pin.

                         Specify Ioh, Iol when the pin is an Output pin.

                         Specify all Iih, Iil, Ioh, Iol when the pin is a
                         Bidirectional pin.

                         If it is Voltage pin, specify what voltage the pin is at.
                         For example:

                         If the pin is a 5V pin, key in a "5". If the pin is a GND
                         pin, key in a "0".

                         If it is a pin for a passive part, the current entries
                         are normally ignored since the value (e.g. 1K ohm)
                         of a passive part is entered during the schematic
                         capture phase (when you are drawing the
                         schematic); without the value and without knowing
                         the exact situation in which the passive part will be
                         used, the current attributes can not be specified.
                         The loading analysis will flag a warning message in
                         the .ERR (error) file saying that the passive part is
                         not accounted for and that the manual verification
                         for the node (that has the passive part) is needed.


                         HINT:

                         To reduce the amount of manual verification, you
                         can predetermine the value and the current
                         attributes of a passive device during DefDev and
                         limit its usage to a particular application. This
                         allows the PRONET to include the passive device
                         in the loading analysis automatically. To do this,
                         you need to define the pin of the passive device as
                         'B'(Bidirectional) rather than 'P'(Passive).

                         For example :

                         A pull up resistor SIP, if it is pulled up to +5V, and
                         the value is 1K ohm, then, each pin of the resistor
                         SIP is of type 'B' and the current attributes are:


                         Iil  =  5 mA
                         Iih  =  0
                         Iol  =  0
                         Ioh  =  5 mA

                         The loading analysis will take this SIP into account
                          automatically.

                   <C>   Prolific specific characteristics

                         This is a numeric number, each value specifies a
                         special characteristics of the Device (or its pin):

                         VALUE MEANING

                        1.    Pseudo Device, for Surface Trace purpose.  (see
                              Section 9.1 Surface-Power-trace and Surface-
                              Ground)

                        2.    Pseudo Device, for Power Planes direct
                              connection (Refer to section 9.1).

                        3.
                                      undefine
                              |            |
                              |            |
                              |            |

              11.   Save the Device definition. Two ways to do it are :

                    <A>   After defining the Pin Attributes, hit <ESC> to back up to
                         one higher IFK level. Then use IFK-SavDev (Save
                         Device) to save the Device definition.



                    <B>   Keep hitting <ESC> until you see a question in the entry
                         line asking whether you would like to Save, quit or
                         continue. If the answer is an "S", the Device definition
                         will be saved.

PRINTING

         The printer you use is selected in the AMIGA preference.

         Your drawing size and template size is determined in the design rule
         you choose when you create that drawing.

         When the drawing size is bigger than the printer's printing area, PRO-
         NET automatically divide the drawing into sections, and print them
         one at a time until all done.

         EPSON OR EPSON COMPATIBLE PRINTERS :

         Interface Protocol:

         Centronic Style Parallel Interface

         Interface Cable:

         --   For AMIGA 1000, use a cable as follow :

              Centronic type AMIGA 1000
              36 pin male                 DB 25S (female)

              1   STROBE-     ------------  1
              2   DATA 0      ------------  2
              3   DATA 1      ------------  3
              4   DATA 2      ------------  4
              5   DATA 3      ------------  5
              6   DATA 4      ------------  6
              7   DATA 5      ------------  7
              8   DATA 6      ------------  8
              9   DATA 7      ------------  9
              10  ACK-        ------------  10
              11  BUSY        ------------  11
              12  PE          ------------  12
              13  SELECT (PWR ON) -------  13
              14  AUTO-FEED-
              15
              16  LOGIC GND   ------------  16
              17  CHASSIS GND
              18  +5 V
              19  GND         ------------  14
               |  | --multiple-- |
              30  GND         ------------  22
              31  INIT-       ------------  25
              32  ERROR-
              33  GND
              34
              35
              36  SELECT-

         --   For AMIGA 500/2000 use a cable as follow :

              Centronic type AMIGA 1000
              36 pin male                  DB 25P (male)

              1   STROBE-      ------------  1
              2   DATA 0       ------------  2
              3   DATA 1       ------------  3
              4   DATA 2       ------------  4
              5   DATA 3       ------------  5
              6   DATA 4       ------------  6
              7   DATA 5       ------------  7
              8   DATA 6       ------------  8
              9   DATA 7       ------------  9
              10   ACK-        ------------  10
              11   BUSY        ------------  11
              12   PE          ------------  12
              13   SELECT (PWR ON) -------  13
              14   AUTO-FEED-
              15
              16   LOGIC GND   ------------  16
              17   CHASSIS GND
              18   +5 V
              19   GND         ------------  14
               |   | --multiple-- |
              30   GND         ------------  22
              31  INIT-        ------------  25
              32  ERROR-
              33  GND
              34
              35
              36  SELECT-

9.0      PLOTTING

         The model number of the plotter you use is selected when you
         configure (IFK-Config) PRO-NET.

         The paper size and template size are selected in the Design Rule
         which you have chosen when you start (IFK-Edit/New) drawing that
         page. You could review what you have selected by using IFK-
         Device/ChgLib.

         PRO-NET does not allow you to plot a page that is bigger than
         what your plotter can handle.

         9.1    HOUSTON INSTRUMENT (H.I.) PLOTTERS

         All H.I. Plotters should be set up as follow:

         Interface Protocol:

                 RS232 Serial
                 Baud Rate       : 2400
                 # of Bits       : 7 Bits
                 Bit 8           : always logic 1 (high)
                 Parity          : no parity
                 Handshake       : XOn/XOff

         Set both the plotter and the AMIGA preference to the above Serial
         protocol.

         Note that to set the plotter to XON/XOFF mode, you need to use the
         plotter panel and set ??  RTS/CTS to always high which means that
         XON/XOFF is selected . Also you may want to set the Text Font to
         Simple type for higher plotting speed.

         9.1.1  H.I. Model 695, 695A

         Paper Size:     A size 8.5 X 11 inches
                         B size 11 X 17 inches

         Plotting Area:  A size 7 X 9.5 inches
                         B size 9.5 X 15.5 inches

         Pen recommended :

              H.I.--

              MA-17 Adaptor

              MP-815 .35 mm stainless steel tip

              KOH-I-NOOR--

              7009WOP Adaptor

              63TB-00/.30 .30 mm Tungsten tip

              63TB-0/.35 .35 mm Tungsten tip

              63TB-2/.60 .60 mm Tungsten tip

              63TB-2.5/.70 .70 mm Tungsten tip

         Interface Cable:

         --   For AMIGA 1000, use the H.I. cable 375-98 :

              Plotter Side AMIGA 1000 Side

              RJ12 6 pin plug          DB25P (male)


                   1   (not used)
                   2   TxD ------------  3 RxD

                   3   RxD ------------  2 TxD

                   4   GND ------------  7 GND

                *  5   DTR ------------  5 CTS

                   6   (not used)        6,8,20,22
                                         tie together

                                         others pins
                                         not used

                *  actually not used by PRO-NET

         --   For AMIGA 500/2000, use the H.I. cable 375-99 :

              Plotter Side AMIGA 500/2000 Side

              RJ12 6 pin plug        DB25S (female)


                   1  (not used)
                   2  TxD ------------  3 RxD

                   3  RxD ------------  2 TxD

                   4  GND ------------  7 GND

                 * 5  DTR ------------  5 CTS

                   6  (not used)        6,8,20,22
                                        tie together

                                        others pins
                                        not used


                 * actually not used by PRO-NET

         8.1.2   H.I. Model DMP-41, DMP-42, DMP-51, DMP-52, DMP-56 :

         Paper Size:
              A size  8.5 X 11 inches
                      (DMP-56 only)
              B size  11 X 17 inches
                      (DMP-56 only)
              C size  17 X 22 inches
              D size  22 X 34 inches
              E size  34 X 44 inches
                      (DMP-56 only)

         Plotting Area:
              A size  7 X 9.5 inches
                      (DMP-56 only)
              B size  9.5 X 15.5 inches
                      (DMP-56 only)
              C size  15 X 20 inches
              D size  20 X 32 inches
              E size  34 X 44 inches
                      (DMP-56 only)

         Pen recommended :
              H.I. (Non-refillable)--

              MA-15 Adaptor

              MP-729 to 776 .35 mm stainless steel tips

              MP-737 to 783 .70 mm stainless steel tips

              KOH-I-NOOR (Refillable)--

              7006WOP Adaptor

              63TB-00/.30 .30 mm Tungsten tip

              63TB-0/.35 .35 mm Tungsten tip

              63TB-2/.60 .60 mm Tungsten tip

              63TB-2.5/.70 .70 mm Tungsten tip

         Interface Cable:

         -    For AMIGA 1000, use a cable as follow :

              Plotter Side AMIGA 1000 Side

              DB25S (female)          DB25P (male)


                   2  TxD ------------  3 RxD

                   3  RxD ------------  2 TxD

                   7  GND ------------  7 GND

                                        6,8,20,22
                                        tie together

                                        others pins
                                        not used


         --   For AMIGA 500/2000, use the H.I. cable HR29-316 or H.I. Smart
              Cable 825 or a cable as follow :

              Plotter Side AMIGA 500/2000 Side

              DB25S (female) DB25S (female)

                   2  TxD ------------  3 RxD

                   3  RxD ------------  2 TxD

                   7  GND ------------  7 GND

                                        6,8,20,22
                                        tie together

                                        others pins
                                        not used

10.0    ADVANCED TECHNIQUES:

         10.1    Surface-Power-trace and Surface-Ground

         PROBLEM DESCRIPTION:

         IC pins sometimes are tied to power supply lines such as +5V or
         Ground.  For a PCB that has a power plane and a Ground plane, there
         are two ways you could tie them.  First, you could tie those power
         supply pins directly to the Power or Ground plane. Second, you could
         tie those non-power-supply spare pins (that should be tied to power or
         ground) to Power or ground through surface traces on the solder side.
         The reason for the second method is such that engineers could
         modify (let's face it, this is inevitable!) the design by cut and jump
         those pins.  Although the above approaches are common practice
         among engineers, it is traditionally a problem not taken care of even
         by those schematic capture and PCB layout CAD systems that cost 50
         times more than PRO-NET and PRO-BOARD. In those cases, PCB
         designers have to patch up Net list, put in special traces which may be
         forgotten in the next round of PCB update.

         SOLUTIONS:
         PRO-NET and PRO-BOARD work hand in hand to solve the problem.
         Now, using PRO-NET, you could draw schematics that carry enough
         information such that the Layout program PRO-BOARD could create
         those surface power and surface ground traces automatically if
         desired.

         Using the user definable attribute feature of the library parts (see
         Chapter 5), we have defined some special Devices in the library. They
         are called the Surface PoWer (Ground), and PoWeR (Ground). They
         are defined as follow:

         1.    SPWR+5VN : Surface PoWeR +5V at North Side -


                 * indicates non-display label

                 Prolific Special attribute = 1

               indicates that this is a pseudo Device of type Surface power
               or surface ground.

         2.    SPWR+5VS : Surface PoWeR +5V at South Side -

                 * indicates non-display label

                 Prolific Special attribute = 1

               Indicates that this is a pseudo Device of type Surface power
               or surface ground.

         3.    SPWR0VS : Surface PoWeR 0 V at South Side -


                 * indicates non-display label

                 Prolific Special attribute = 1

               Indicates that this is a pseudo Device of type Surface power
               or surface ground.

         4.    PWR+5VN : PoWeR +5V at North Side -

                 * indicates non-display label

                 Prolific Special attribute = 1

               Indicates that this is a pseudo Device of type Surface power
               or surface ground.

         5.    SPWR+5VS : Surface PoWeR +5V at South Side -


                 * indicates non-display label

                 Prolific Special attribute = 1

               Indicates that this is a pseudo Device of type Surface power
               or surface ground.

         6.    SPWR0VS : Surface PoWeR 0 V at South Side -

                 * indicates non-display label

                 Prolific Special attribute = 1

               Indicates that this is a pseudo Device of type Surface power
               or surface ground.

         7.    Similarly, user could define other power supply pin of other
               voltage.

         If you connect some pins of an ordinary Device to the above pseudo
         Device, PRO-NET understands that you want these pins to be tied to
         power or ground through surface traces instead of the power or
         ground planes directly.

         10.2   Scattered Connector

         PROBLEM DESCRIPTION:

         Traditionally there are several ways of drawing a connector in a
         schematics:

              1.    The connector is drawn on one page with signal
                    names and page references. Each pin of the
                    connector is connected to another page or pages
                    through the signal names alone.

              2.    The connector is broken up into pieces of single pin
                    or groups of pins and scattered among pages of the
                    schematic.

              3.    The connector is drawn once in method 1, and again
                    in method 2.

         Method 1 is best suited for schematic capture program, since the
         connector could be defined as one library part.

         Method 2 is normally difficult for schematic capture program because
         a connector of 100 pins require the user to define 100 different library
         parts, each has one pin.

         Another problem of drawing a connector is when the connector has
         pin numbers other than numerics. This presents a problem both to
         schematic capture and to PCB layout program. In this case, pro-net
         (and pro-board) requires that you use method 1 or method 3 to draw
         the connector.

         SOLUTIONS:

         Pro-Net allows user to draw connectors in all three methods listed in
         above with certain limitations. If some of the connector pins are
         designated by alphanumerics other than pure numerics, then either
         method 1 or method 3 must be used.

         When Pro-Net is producing the Net List, it will perform two things on
         the connector:

              a.     Connect pins of Devices to pins of the connector
                     together through matching of the signal label.

              b.     Connect pins of Devices to pins of the connector
                     according to the connector label if and only if the pin
                     number portion of the connector label is pure
                     numerics.

         If you use method 1 (connector in one place) to draw the connector,
         correct net list is produced by step a above.

         If you use method 2 (scattered) to draw the connector, correct net list
         is produced by step b above.

         If you use method 3 (both ways) to draw the connector, the correct net
         list is produced by step a as well as step b if the designation (label) of
         the connector pin is purely numerical. If designation is not purely
         numerics, method a is used to produce the correct net list.

         By now, you should be confuse enough to demand for some
         examples. As you wish, here are some examples:

         EXAMPLE 1:

         A VME bus Euro-Din connector is used in a design. The connector
         pins are designated as J4 (say) -A1, J4-A2... J4-C1, -C2, -C3......etc.

         The correct way to draw this connector is by method 1 (in one place)
         or method 3 (both ways), since the pin designation is not purely
         numerics. ..page Method 1: On page 20 (say) of the schematic, call
         out the library part which looks like:

         J4 is analogous to the U number of an IC. A1, A2 etc. are analogous to
         the pin function label of, say, the "Q" label in symbol 7474. "name 1",
         "name 2" etc. are signal names of lines. Connector pin 1 is defined to
         be the pin labeled by A1, pin 2 is A2, pin 32 is A32, pin 33 is C1, pin 63
         is C31, pin 64 is C32 etc.

         However, all pin numbers are defined with attribute "hidden" and thus
         not shown on display or print out of the schematic.

         On Page 7 (for example) of the schematic, some pins of the connector
         are connected to different circuits:

         Method 3: On page 20 (for example) of the schematic, call out the
         library part which looks like:

         J4 is analogous to the U number of an IC. A1, A2 etc. are analogous to
         the pin function label of, say, the "Q" label in symbol 7474. "name 1",
         "name 2" etc. are signal names of lines. Connector pin 1 is defined to
         be the pin labeled by A1, pin 2 is A2, pin 32 is A32, pin 33 is C1, pin 63
         is C31, pin 64 is C32 etc.

         However, all pin numbers are defined with attribute "hidden" and thus
         not shown on display or print out of the schematic.

         On Page 7 (for example) of the schematic, some pins of the connector
         are connected to different circuits.  The connector symbol (box
         around pin label) is created by using IFK "Conn" (connector), press
         "Conn", then type in the connector pin label such as "J4-A2", then
         click at the end of the line where you want the connector symbol to
         occur.

         Here, since the pin number part of the pin function label is not purely
         numerics, for example, the "C31" in the connector pin function label
         "J4-C31" is not purely numeric, therefore, Pro-Net could not use the
         connector pin function label to create the correct net.

         In this example, Pro-Net uses the signal label "name 63" to match the
         one that occur on page 20, where "name 63" is the signal name for
         the line that is connected to connector pin 63. The pin number label
         "63" is defined as "hidden" and whose pin function label is defined as
         "C31".  Therefore, Pro-Net produce a net which specifies the
         connection of U22 pin 5 to J4 pin 63.

         EXAMPLE 2:

         A 50 pin D type connector is used in a design, the pin numbers of this
         type of connector are all pure numerics, therefore, all three methods
         listed in beginning of this section could be used. Method 1 and
         Method 3 are similar to example one.  The following describes the
         method 2.

         Method 2: Only scattered connector symbol are used.

         On Page 7 (for example) of the schematic, some pins of the connector
         are connected to different circuits.  The connector symbol (box
         around pin label) is created by using IFK "Conn" (connector), press
         "Conn", then type in the connector pin label such as "J4-A2", then
         click at the end of the line where you want the connector symbol to
         occur.

         Here, Pro-Net uses the pin number that is embedded in the connector
         pin label to generate the net list connections.  Thus J4 pin 2 is
         connected to U15 pin 12.
